#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	iniparse

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	0.3.1
Release:	2
Summary:	Python Module for Accessing and Modifying Configuration Data in INI files
Group:		Development/Libraries
License:	MIT
URL:		http://code.google.com/p/%{original_name}/
Source0:	http://%{original_name}.googlecode.com/files/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
Requires:	python%{PVER}
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	python-iniparse = %{version}-%{release}
Obsoletes:	python-iniparse <= %{version}-%{release}
Obsoletes:	python25-iniparse

%description
iniparse is an INI parser for Python which is API compatible
with the standard library's ConfigParser, preserves structure of INI
files (order of sections & options, indentation, comments, and blank
lines are preserved when data is updated), and is more convenient to
use.

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
# fixes
chmod 644 $RPM_BUILD_ROOT%_datadir/doc/iniparse-%{version}/index.html
mv $RPM_BUILD_ROOT%_datadir/doc/iniparse-%{version} $RPM_BUILD_ROOT%_datadir/doc/python-iniparse-%{version}
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc %{_docdir}/python-iniparse-%{version}/*
%{python_sitearch}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.1-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 0.3.1-1
- Version update, build against python25-2.5.4-3
* Fri Sep 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.3-1
- Initial release
